<div class="container">
  <table class="table">
    <tr>
      <th class="text-info">title</th>
      <th class="text-info">content</th>
      <th class="text-info">action</th>
    </tr>
    <% if current_user.has_role? :blogger %>
      <% @posts.each do |post| %>
      <tr>
        <td><%= link_to "#{ post.title}", post_path(post), class:"text-muted" %></td>
         <td class="text-muted"><%= post.content.first(10) %></td>
        <td><%= link_to(image_tag("edit.jpg", :size => "13x16"),  edit_post_path(post)) %> &nbsp  &nbsp <%= link_to(image_tag("delete.jpg", :size => "13x16"),  post_path(post), method: :delete) %></td>
      </tr>
      <% end %>
  <% else %>
    <% @all_posts.each do |post| %>
      <tr>
        <td><%= link_to "#{ post.title}", post_path(post), class:"text-muted" %></td>
         <td class="text-muted"><%= post.content.first(10) %></td>
        <td><%= link_to(image_tag("edit.jpg", :size => "13x16"),  edit_post_path(post)) %> &nbsp  &nbsp <%= link_to(image_tag("delete.jpg", :size => "13x16"),  post_path(post), method: :delete) %></td>
      </tr>
    <% end %>
  <% end %>
    <tr><td><%= link_to 'Back', root_path %></td></tr>
  </table>
</div>
